Botan 2.19.5 Crypto and TLS for C&

padding.h
Go to the documentation of this file.
1/*
2* (C) 2017 Fabian Weissberg, Rohde & Schwarz Cybersecurity
3*
4* Botan is released under the Simplified BSD License (see license.txt)
5*/
6
7#ifndef BOTAN_PADDING_H_
8#define BOTAN_PADDING_H_
9
10#include <botan/build.h>
11#include <string>
12#include <vector>
13
14 namespace Botan {
15
16/**
17* Returns the allowed padding schemes when using the given
18* algorithm (key type) for creating digital signatures.
19*
20* @param algo the algorithm for which to look up supported padding schemes
21* @return a vector of supported padding schemes
22*/
23 BOTAN_TEST_API const std::vector<std::string> get_sig_paddings(const std::string algo);
24
25/**
26* Returns true iff the given padding scheme is valid for the given
27* signature algorithm (key type).
28*
29* @param algo the signature algorithm to be used
30* @param padding the padding scheme to be used
31*/
32 bool sig_algo_and_pad_ok(const std::string algo, const std::string padding);
33
34}
35
36#endif
BOTAN_TEST_API
#define BOTAN_TEST_API
Definition: compiler.h:51
Botan
Definition: alg_id.cpp:13
Botan::get_sig_paddings
const std::vector< std::string > get_sig_paddings(const std::string algo)
Definition: padding.cpp:32
Botan::sig_algo_and_pad_ok
bool sig_algo_and_pad_ok(const std::string algo, const std::string padding)
Definition: padding.cpp:39